.topHeader{
    width: 100%;
    height: 300px;
    background: var(--color-gray);

    display: flex;
    justify-content: center;
    align-items: center;
}
.topHeader .topHeaderImage{
    background-image: url(../fotos_buenas/DSCN5253.JPG);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: 100% auto;
    object-fit: cover !important;
    aspect-ratio: 1 ;

    width: 120%;
    height: 100%;
}

.topHeader .topHeaderImage .gradient{
    width: 100%;
    height: 100%;
    background-image: linear-gradient(to right,var(--color-gray) ,transparent,var(--color-gray) );

    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.topHeader .topHeaderImage .gradient .fotoTopHeader{
    width: 250px;
    margin: 5%;
    background-image: radial-gradient(circle,var(--color-gray),transparent 10%);
}

/* ------------------------------------------------------------------------- */

.bottomHeader{
    position: sticky !important;
    top: 0;
    z-index: 10;

    width: 100%;
    height: 80px;

    background: var(--color-dark-grey);

    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.bottomHeader.scroll-active{
    position: fixed !important;
    top: 0;
}

.bottomHeader ul h3{
    color: var(--color-blue);
    color: #fff;
    font-weight: 300;
    font-size: 18px !important;
    letter-spacing: .5px;
    padding: 0 20px;
}

.bottomHeader .foto-container{
    height: 100%;
    background-color: var(--color-dark-grey);
    display: flex;
    align-items: center;
    justify-content: center;

    border-bottom-right-radius: 100px;
    border-bottom-left-radius: 100px;
}

.bottomHeader .foto-container img{
    height: 60%;
    width: auto;
}
/* ------------------------ */
.bottomHeader {
    position: -webkit-sticky; /* For Safari */
    position: sticky;
    top: 0;
    /* background-color: #f1f1f1; */
    padding: 10px 0;
    z-index: 1000; /* Adjust as needed */
}

.bottomHeader .foto-container img {
    height: 0;
    width: auto;
    transition: height 0.3s ease; /* Smooth transition */
}
/* ------------------------ */
/* web */

.bottomHeader ul{
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.bottomHeader ul li{
    height: 100%;

    list-style-type: none;

    display: flex;
    justify-content: center;
    align-items: center;

    position: relative;
}

/* ------------------------ */
/* mobile */

.primary-navigation.mobile{
    overflow: hidden;
    background-color: var(--color-dark-grey);
    flex-direction: column;
    width: 50vw;
    box-shadow: 0px 2px 5px 0 rgba(0, 0, 0, 0.2);
    justify-content: center;
    position: absolute;
    top: 80px;
    right: 0;
    transition: all 1s;
    padding: 100px 60px 250px 60px;
    /* padding: 0 60px 250px 60px; */

    display: flex;
    height: 100vh !important ;
    transform: translateX(100%)
  }
  

.primary-navigation.mobile[data-visible="true"]{
    transform: translateX(0%);

}

.primary-navigation.mobile[data-visible="false"]{
    transform: translateX(100%);

}


/* hamburger icon */

.mobile-nav-toggle{
  
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;

    display: none;
    cursor: pointer;
    border: 0;
    position: relative;
    width: 45px;
    height: 35px;
    /* right: 4rem; */
}

.mobile-nav-toggle span{
    display: block;
    position: absolute;
    height: 1.4px;
    width: 100%;
    background: white;
    border-radius: 9px;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .25s ease-in-out;
    -moz-transition: .25s ease-in-out;
    -o-transition: .25s ease-in-out;
    transition: .25s ease-in-out;
}
  
.mobile-nav-toggle.open span:nth-child(1) {
    top: 18px;
    width: 0%;
    left: 50%;
  }
  
.mobile-nav-toggle.open span:nth-child(2) {
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
  }
  
.mobile-nav-toggle.open span:nth-child(3) {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
  
.mobile-nav-toggle.open span:nth-child(4) {
    top: 18px;
    width: 0%;
    left: 50%;
}

.mobile-nav-toggle span:nth-child(1) {
    top: 0px;
}
  
.mobile-nav-toggle span:nth-child(2), .mobile-nav-toggle span:nth-child(3) {
  top: 15px;
}

.mobile-nav-toggle span:nth-child(4) {
  top: 30px;
}


@media screen and (max-width: 850px){
    .primary-navigation.web{
        display: none;
    }

    .mobile-nav-toggle{
        display: flex;

    }
}


/* animacion boton li*/
.btnfos {
    color: #ffffff;
    cursor: pointer;
    text-decoration: none;
    display: block;
    line-height: 30px;
    position: relative;
    width: max-content;
    padding: 0 10px;

    transition: all .5s;
}


.btnfos-2:after, .btnfos-2:before {
    -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
    border: 1px solid rgba(255, 255, 255, 0);
    bottom: 0px;
    content: " ";
    display: block;
    margin: 0 auto;
    position: relative;
    -webkit-transition: all 280ms ease-in-out;
    transition: all 280ms ease-in-out;
    width: 0;
}
  
.btnfos-2:hover:after, .btnfos-2:hover:before {
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    border-color: var(--color-blue);
    -webkit-transition: width 350ms ease-in-out;
    transition: width 350ms ease-in-out;
    width: 100%;
}